summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2011-07-18 19:42:20 +0200
committerRichard Hughes <richard@hughsie.com>2011-07-19 11:57:50 +0100
commitaabd6fb9e3dcfd47c530849ac4705819dcfb9980 (patch)
tree77c2e962d428d6dbe860976231a9c8c2d0c79903
parent5bf494a9d39ef72c17666cdfe0edff0fac473efa (diff)
autogen.sh: Use autoreconf instead custom script
-rwxr-xr-xautogen.sh119
1 files changed, 20 insertions, 99 deletions
diff --git a/autogen.sh b/autogen.sh
index 5194515..c2954a7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,113 +1,34 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-ACLOCAL_FLAGS="-I m4 ${ACLOCAL_FLAGS}"
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-touch ChangeLog
+olddir=`pwd`
+cd $srcdir
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-(test -f $srcdir/configure.ac) || {
- echo -n "**Error**: Directory $srcdir does not look like the"
- echo " top-level package directory"
- exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have autoconf installed."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(grep "^LT_INIT" $srcdir/configure.ac >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have libtool installed."
- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
- }
-}
-
-(gtkdocize --flavour no-tmpl) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have gtk-doc installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have automake installed."
- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
- NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: Missing aclocal. The version of automake"
- echo "installed doesn't appear recent enough."
- echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-if test "$DIE" -eq 1; then
- exit 1
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
fi
-if test -z "$*"; then
- echo "**Warning**: I am going to run configure with no arguments."
- echo "If you wish to pass any to it, please specify them on the"
- echo $0 " command line."
- echo
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
fi
-case $CC in
-xlc )
- am_opt=--include-deps;;
-esac
-
-aclocalinclude="$ACLOCAL_FLAGS"
-
-if grep "^LT_INIT" configure.ac >/dev/null; then
- if test -z "$NO_LIBTOOLIZE" ; then
- echo "Running libtoolize..."
- libtoolize --force --copy
- fi
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
fi
-echo "Running intltoolize ..."
+gtkdocize
intltoolize --copy --force --automake
+autoreconf --force --install --verbose
-echo "Running aclocal $aclocalinclude ..."
-aclocal $aclocalinclude
-
-if grep "^AC_CONFIG_HEADERS" configure.ac >/dev/null; then
- echo "Running autoheader..."
- autoheader
-fi
-
-echo "Running automake --add-missing --gnu -Wno-portability $am_opt ..."
-automake --add-missing --gnu -Wno-portability $am_opt
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
-echo "Running autoconf ..."
-autoconf
-
-
-conf_flags="--enable-maintainer-mode --enable-gtk-doc"
-
-if test x$NOCONFIGURE = x; then
- echo "Running $srcdir/configure $conf_flags $@ ..."
- $srcdir/configure $conf_flags "$@" \
- && echo "Now type make to compile." || exit 1
-else
- echo "Skipping configure process."
-fi